# Enhancements for GraphQL

* New fields are added to application data for candidate query.

  ```graphql
  type ApplicationData {
    ... existingKeys+
    netMonthlyIncomeRanges: NetMonthlyIncomeRange
    netMonthlyIncome: Float
    grossMonthlyIncome: Float
    salutation: String
    phoneNumber: String
    address: CandidateAddress
  }

  type CandidateAddress {
    streetNumber: String
    streetName: String
    city: String
    zipCode: String
    country: String
  }

  type NetMonthlyIncomeRange {
    from: Int
    to: Int
  }
  ```
* Ability to send phoneNumber for tenant mutation
* Ability to delete tenants along with contracts associated with tenants

  ```graphql
  type Mutation {
    removeTenant(id: String, shouldDeleteContracts: Boolean): AsyncEventResponse
  }
  ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/change-log/releases/enhancements-for-graphql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
